    - name: Create Rules {{ rule_name | replace ('-',' ')}}
      azure_rm_securitygroup:
        resource_group: {{ '"{{ resource_group }}"' }}
        name: {{ '"{{ network_security_group }}"' }}
        rules:
            - name: {{ rule_name }}
              protocol: {{ protocol }}
              source_application_security_group: {{'"{{ _ }}"' | replace ('_', source_var )}}
              destination_application_security_groups:
                - {{'"{{ _ }}"' | replace ('_', destination_var )}}
              destination_port_range:
                - "{{ destination_port }}"
              access: allow
              priority: 120